Bug 145999 - 5 * dead code
5 * dead code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 12:27 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 13:56:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-01-24 12:27:08 EST
Description of problem:

I just tried to compile package parted-1.6.21-1 from 
Redhat Fedora development tree.

The compiler said

fdasd.c(650): remark #177: function "fdasd_change_volser" was declared
but never referenced
fdasd.c(228): remark #177: function "fdasd_partition_type" was
declared but never referenced
fdasd.c(357): remark #177: function "fdasd_reread_partition_table" was
declared
but never referenced
count.c(102): remark #177: function "print_chain" was declared but
never referenced
table.c(224): remark #177: function "_test_code_active" was declared
but never referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete dead code.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2005-03-08 13:56:29 EST
I'm no longer seeing this with the Rawhide gcc and -Wall -Wunused -Werror.
Comment 2 David Binderman 2005-03-09 04:21:02 EST
>I'm no longer seeing this with the Rawhide gcc and -Wall -Wunused -Werror.

Excellent.

That sounds like a step in the right direction, however there is
no substitute for the Mark 1 eyeball.

I would be grateful if you could confirm visually that these five functions
have really been deleted in the version of the source code you have.

I am unlikely to reach this package for two weeks or more, on the rate
of current progress.

Note You need to log in before you can comment on or make changes to this bug.